Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

I'd like to install rsync to do daily backups of my client's server account, which was recently migrated to mycloud.rackspace.com. Rackspace does have a tutorial implying it can be installed in the usual fashion:

http://www.rackspace.com/knowledge_center/article/backing-up-your-files-with-rsync

My problem seems to be that it's an old linux build. uname -a shows:

Linux xxxx 2.6.16.29-xen #1 SMP Sun Sep 30 04:00:13 UTC 2007 x86_64 GNU/Linux

I tried to add backports to the apt sources list:

# cat /etc/apt/sources.list
deb http://ftp.debian.org/debian/ etch main
deb-src http://ftp.debian.org/debian/ etch main

deb http://security.debian.org/ etch/updates main contrib
deb-src http://security.debian.org/ etch/updates main contrib

deb http://backports.debian.org/debian-backports squeeze-backports main contrib

However, I get the same "not found" errors with, it appears, no attempt to grab the backport. "aptitude update" does not help:

# aptitude -t squeeze-backports install rsync
Reading package lists... Done
Building dependency tree... Done
Reading extended state information      
Initializing package states... Done
Reading task descriptions... Done  
Building tag database... Done    
The following packages have been kept back:
  apache2 apache2-mpm-prefork apache2-utils apache2.2-common apt apt-utils 
  debian-archive-keyring dhcp3-client dhcp3-common gs-gpl gzip imagemagick libapr1 libaprutil1 
  libc6 libc6-dev libexpat1 libfreetype6 libgnutls13 libhtml-parser-perl libkrb53 liblcms1 
  libldap-2.3-0 libmagick9 libmysqlclient15-dev libmysqlclient15off libnewt0.52 libpam-modules 
  libpam-runtime libpam0g libpng12-0 libpq4 libsasl2 libsasl2-2 libsasl2-modules libsqlite3-0 
  libssl0.9.8 libtiff4 liburi-perl libvolume-id0 libxml2 mediawiki1.7 mediawiki1.7-math 
  mysql-client-5.0 mysql-common mysql-server mysql-server-5.0 openssh-client openssh-server 
  openssl php5 postfix psmisc sudo udev vim-common vim-tiny wget whiptail x11-common 
The following NEW packages will be installed:
  rsync 
0 packages upgraded, 1 newly installed, 0 to remove and 60 not upgraded.
Need to get 272kB of archives. After unpacking 541kB will be used.
WARNING: untrusted versions of the following packages will be installed!

Untrusted packages could compromise your system's security.
You should only proceed with the installation if you are certain that
this is what you want to do.

  rsync 

Do you want to ignore this warning and proceed anyway?
To continue, enter "Yes"; to abort, enter "No": Yes
Writing extended state information... Done
Err http://ftp.debian.org etch/main rsync 2.6.9-2etch2
  404 Not Found [IP: 130.89.148.12 80]
Err http://security.debian.org etch/updates/main rsync 2.6.9-2etch2
  404 Not Found [IP: 128.31.0.36 80]
E: Failed to fetch http://security.debian.org/pool/
updates/main/r/rsync/rsync_2.6.9-2etch2_amd64.deb: 
404 Not Found [IP: 128.31.0.36 80]

Any advice? Thanks!

share|improve this question

1 Answer 1

up vote 0 down vote accepted

Debian Etch is long EOL and EOS there are no repositories of it online that is why you are getting the 404 errors.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.